//---------------------------------------------------------------------------------------------//
#property copyright           "Programmer :  Khaled Mohamed"                                   //
#property link                "HTTPS://WWW.MQL5.COM/EN/USERS/KHALED.MOHAMED"                   //
#property strict                                                                               //
//---------------------------------------------------------------------------------------------//
//                                       Khaled Mohamed                                        //
//                             Email: Khaled.Mohamed.FX@Gmail.com                              //
//                                  Skype: khaled.mohamed.fx                                   //
//---------------------------------------------------------------------------------------------//

//-------------------------------------- Chart arrow ------------------------------------------//

/*

This fanction draws an arrow on the chart price,

the arrow take it's place on the price itself.

//-----------//

the required inputs are arrow code,

and arrow time, arrow price as cooperates.

*/

//--------------- * * * ---------------//

void Chart_arrow ( string Arrow_name , int Arrow_code , datetime Arrow_time , double Arrow_price , int Arrow_width , color Arrow_color )
{
   ObjectCreate ( 0 , Arrow_name , OBJ_ARROW , 0 , 0 , 0 ) ;              // Create the arrow object.
   
   
   ObjectSetInteger ( 0 , Arrow_name , OBJPROP_TIME , Arrow_time ) ;      // Set object time.
   
   ObjectSetDouble ( 0 , Arrow_name , OBJPROP_PRICE , Arrow_price ) ;     // Set object price.
   
   ObjectSetInteger ( 0 , Arrow_name , OBJPROP_ARROWCODE , Arrow_code ) ; // Set arrow code ( Code of wanted arrow to draw ).
   
   ObjectSetInteger ( 0 , Arrow_name , OBJPROP_WIDTH , Arrow_width ) ;    // Set object width.
   
   ObjectSetInteger ( 0 , Arrow_name , OBJPROP_COLOR , Arrow_color ) ;    // Set object color.
}

//---------------------------------------------------------------------------------------------//
//                                       Khaled Mohamed                                        //
//                             Email: Khaled.Mohamed.FX@Gmail.com                              //
//                                  Skype: khaled.mohamed.fx                                   //
//---------------------------------------------------------------------------------------------//