//---------------------------------------------------------------------------------------------//
#property copyright           "Programmer :  Khaled Mohamed"                                   //
#property link                "HTTPS://WWW.MQL5.COM/EN/USERS/KHALED.MOHAMED"                   //
#property strict                                                                               //
//---------------------------------------------------------------------------------------------//
//                                       Khaled Mohamed                                        //
//                             Email: Khaled.Mohamed.FX@Gmail.com                              //
//                                  Skype: khaled.mohamed.fx                                   //
//---------------------------------------------------------------------------------------------//

#property version          "1.0"
  
#property description      "Trader          :  NARENDRA VADDE"
  
#property description      "\n"
  
#property description      "The easy price action short-break strategy for binary options trading."
  
//--------------------- * * * ----------------------//

#property indicator_chart_window

//-------//

#include "If engulfed.mqh"

#include "Draw line.mqh"

#include "Bullish or bearish.mqh"

#include "Find highest CN.mqh"

#include "Find lowest CN.mqh"


#include "Ask about time.mqh"

#include "Draw trend by time.mqh"

//-------//

#include "If broken.mqh"

#include "Chart label.mqh"

#include "Every bar.mqh"

//--------------------- * * * ----------------------//

// Inputs:

extern int Looking_forward_candles = 8 ;  //Looking forward candles

extern int Looking_back_candles = 14 ;    //Looking back candles

extern bool Run_alert = true ;            //Run alert

//------------//

extern const string  Colors_space  =  ""                                                                   ;  //-

extern color Line_color = clrBlue ;        //Line color

extern color Trend_color = clrRed ;       //Trend color

//------------//

extern const string  Copyrights_space  =  ""                                                                ;  //-

extern const string  Copyrights_title  =  "------------------------- Copyrights -------------------------"  ;  //-

extern const string  Programmer        =  "Khaled Mohamed"                                                  ;  //Programmer   :

extern const string  Trader            =  "NARENDRA VADDE"                                                  ;  //Trader           :

//--------------------- * * * ----------------------//

bool Alert_V = true ;

int OnInit ( )
{
   
   return ( INIT_SUCCEEDED ) ;
}

//---------------------- * * ----------------------//

void OnDeinit ( const int reason )
{
   OnInit ( ) ;
}

//---------------------- * * ----------------------//

int OnCalculate
(
   const int rates_total       ,
   
   const int prev_calculated   ,
   
   const datetime &time [ ]    ,
   
   const double &open [ ]      ,
   
   const double &high [ ]      ,
   
   const double &low [ ]       ,
   
   const double &close [ ]     ,
   
   const long &tick_volume [ ] ,
   
   const long &volume [ ]      ,
   
   const int &spread [ ]
)
{
   //--------------------------------------------------//
   
   int Shift = 1 ;
   
   
   if ( If_engulfed ( Shift , Shift + 1 ) )
   {
      if ( Every_bar ( Period ( ) ) )
      {
         Alert_V = true ;
         
         ObjectSetString ( 0 , "Line_Rinary_Triumph_line" , OBJPROP_NAME ,"Line: " + string ( TimeCurrent ( ) ) ) ;
         
         ObjectSetString ( 0 , "Line_Rinary_Triumph_trend" , OBJPROP_NAME ,"Trend: " + string ( TimeCurrent ( ) ) ) ;
      }
      
      //--------------------------------------------------//
      
      Draw_line ( "Line_Rinary_Triumph_line" , Line_color , Open [ Shift ] , Shift ) ;
      
      //--------------------------------------------------//
      
      int Highest_or_lowest_CN = 0 ;
      
      double Highest_or_lowest_level = 0 ;
      
      
      if ( Bullish_or_bearish ( Shift ) )
      {
         Highest_or_lowest_CN = Find_highest_CN ( Shift , Shift + Looking_back_candles - Looking_forward_candles ) ;
         
         Highest_or_lowest_level = High [ Highest_or_lowest_CN ] ;
      }
      
      else
      {
         Highest_or_lowest_CN = Find_lowest_CN ( Shift , Looking_back_candles - Looking_forward_candles ) ;
         
         Highest_or_lowest_level = Low [ Highest_or_lowest_CN ] ;
      }
      
      Draw_trend_by_time ( "Line_Rinary_Triumph_trend" , Trend_color , Ask_about_time ( Shift - Looking_forward_candles ) , Open [ Shift ] , Time [ Highest_or_lowest_CN ] , Highest_or_lowest_level );
   }
   //--------------------------------------------------//

   if ( ObjectGetValueByShift ( "Line_Rinary_Triumph_trend" , Shift - 1 ) != 0 )
   
   if ( Close [ Shift ] > ObjectGetValueByShift ( "Line_Rinary_Triumph_trend" , Shift ) && Close [ Shift + 1 ] <= ObjectGetValueByShift ( "Line_Rinary_Triumph_trend" , Shift + 1 ) )
   
   if ( ObjectGetValueByShift ( "Line_Rinary_Triumph_trend" , Shift ) < ObjectGetValueByShift ( "Line_Rinary_Triumph_trend" , Shift + 1 ) )
   {
      ObjectSetString ( 0 , "Line_Rinary_Triumph_line" , OBJPROP_NAME ,"Line: " + string ( TimeCurrent ( ) ) ) ;
      
      ObjectSetString ( 0 , "Line_Rinary_Triumph_trend" , OBJPROP_NAME ,"Trend: " + string ( TimeCurrent ( ) ) ) ;
      
      //---------//
      
      Chart_arrow ( "Arrow: " + string ( Time [ Shift ] ) , 225 , Time [ Shift ] , Close [ Shift ] , 3 , clrBlue ) ;
      
      if ( Run_alert && Alert_V )
      {
         Alert ( "Buy signal at pair: " + Symbol ( ) ) ;
         
         Alert_V = false ;
      }
   }
   
   if ( ObjectGetValueByShift ( "Line_Rinary_Triumph_trend" , Shift - 1 ) != 0 )
   
   if ( Close [ Shift ] < ObjectGetValueByShift ( "Line_Rinary_Triumph_trend" , Shift ) && Close [ Shift + 1 ] >= ObjectGetValueByShift ( "Line_Rinary_Triumph_trend" , Shift + 1 ) )
   
   if ( ObjectGetValueByShift ( "Line_Rinary_Triumph_trend" , Shift ) > ObjectGetValueByShift ( "Line_Rinary_Triumph_trend" , Shift + 1 ) )
   {
      ObjectSetString ( 0 , "Line_Rinary_Triumph_line" , OBJPROP_NAME ,"Line: " + string ( TimeCurrent ( ) ) ) ;
      
      ObjectSetString ( 0 , "Line_Rinary_Triumph_trend" , OBJPROP_NAME ,"Trend: " + string ( TimeCurrent ( ) ) ) ;
      
      //---------//
      
      Chart_arrow ( "Arrow: " + string ( Time [ Shift ] ) , 226 , Time [ Shift ] , Close [ Shift ] , 3 , clrRed ) ;
      
      if ( Run_alert && Alert_V )
      {
         Alert ( "Sell signal at pair: " + Symbol ( ) ) ;
         
         Alert_V = false ;
      }
   }
   
   //--------------------------------------------------//
   
   return ( rates_total ) ;
}

//---------------------------------------------------------------------------------------------//
//                                       Khaled Mohamed                                        //
//                             Email: Khaled.Mohamed.FX@Gmail.com                              //
//                                  Skype: khaled.mohamed.fx                                   //
//---------------------------------------------------------------------------------------------//